"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelValues = void 0;
class ModelValues {
    constructor(values) {
        this.values = new Map();
        values.forEach((val) => {
            this.values.set(val.key, val);
        });
    }
    getValue(key, defaultVal) {
        const val = this.values.get(key);
        if (val) {
            return val.value;
        }
        return defaultVal;
    }
}
exports.ModelValues = ModelValues;
